# Created by pyp2rpm-3.3.7
%global pypi_name neovim-remote
%global pypi_version 2.4.0

Name:           python-%{pypi_name}
Version:        %{pypi_version}
Release:        1%{?dist}
Summary:        Control nvim processes using "nvr" commandline tool

License:        MIT
URL:            https://github.com/mhinz/neovim-remote
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(psutil)
BuildRequires:  python3dist(pynvim)
BuildRequires:  python3dist(setuptools)

%description
[![Build status]( [![Supported Python versions]( align'center'> <h1>neovim-
remote</h1><br> This package provides an executable called **nvr** which solves
these cases:- Controlling nvim processes from the shell. E.g. opening files in
another terminal window. - Opening files from within :terminal without starting
a nested nvim process.- [Installation](installation) - [Theory](theory) -
[First...

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(psutil)
Requires:       python3dist(pynvim)
Requires:       python3dist(setuptools)
%description -n python3-%{pypi_name}
[![Build status]( [![Supported Python versions]( align'center'> <h1>neovim-
remote</h1><br> This package provides an executable called **nvr** which solves
these cases:- Controlling nvim processes from the shell. E.g. opening files in
another terminal window. - Opening files from within :terminal without starting
a nested nvim process.- [Installation](installation) - [Theory](theory) -
[First...


%prep
%autosetup -n %{pypi_name}-%{pypi_version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%check
%{__python3} setup.py test

%files -n python3-%{pypi_name}
%doc README.md
%{_bindir}/nvr
%{python3_sitelib}/nvr
%{python3_sitelib}/neovim_remote-%{pypi_version}-py%{python3_version}.egg-info

%changelog
* Fri Nov 05 2021 mockbuilder - 2.4.0-1
- Initial package.